---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    Log evaluation results from SDK. Reference for the POST
    /v1/projects/{projectId}/eval-results endpoint in the Judgeval API.
sidebar:
  label: Log evaluation results
  badge: POST
title: Log evaluation results
type: openapi-operation
---
Log evaluation results from SDK

`POST /v1/projects/{projectId}/eval-results`

**Request body** (`application/json`, required)

- `results` (ScoringResult[], required)
- `run` (ExampleEvaluationRun, required)

Request body example:

```json
{
  "results": [
    {
      "scorers_data": [
        {
          "scorer_name": "string",
          "reason": {
            "text": "string",
            "citations": [
              {
                "span_id": "string",
                "span_attribute": "string"
              }
            ]
          },
          "metadata": {
            "evaluation_model": "string",
            "evaluation_reasoning_level": "lite"
          },
          "error": "string",
          "score_type": "numeric",
          "num_value": 0,
          "minimum_score_range": 0,
          "maximum_score_range": 1
        }
      ],
      "name": "string",
      "data_object": {
        "example_id": "string",
        "created_at": "string",
        "name": "string",
        "conversation_id": "string",
        "trace_id": "string",
        "span_id": "string",
        "offline_trace_id": "string",
        "session_id": "string",
        "session_trace_ids": [
          "string"
        ],
        "agent_offline_trace_id": "string"
      },
      "trace_id": "string",
      "run_duration": 0,
      "evaluation_cost": 0
    }
  ],
  "run": {
    "id": "string",
    "project_id": "string",
    "eval_name": "string",
    "model": "string",
    "created_at": "string",
    "user_id": "string",
    "scorers": [
      null
    ],
    "custom_scorers": [],
    "judgment_scorers": [],
    "examples": [
      {
        "example_id": "string",
        "created_at": "string",
        "name": "string",
        "conversation_id": "string",
        "trace_id": "string",
        "span_id": "string",
        "offline_trace_id": "string",
        "session_id": "string",
        "session_trace_ids": [
          "string"
        ],
        "agent_offline_trace_id": "string"
      }
    ],
    "trace_span_id": "string",
    "trace_id": "string"
  }
}
```

**Responses**

- `200` — Response for status 200
- `422` — Response for status 422

Response example, 200:

```json
{
  "ui_results_url": "string"
}
```
